<div class="team-members-container">
  <div class="filters-container minions-filter">
    <div class="form-group w-75">
      <input type="text" class="form-control" placeholder="Search minions..." [(ngModel)]="minionFilter" />
      <small class="form-text text-muted">Filters by minions name</small>
    </div>
    <mat-form-field class="form-group w-25">
      <mat-label>Type</mat-label>
      <mat-select [(ngModel)]="statusFilter">
        <mat-option [value]="">Any</mat-option>
        <mat-option *ngFor="let status of constants.MINIONS.STATUS | keyvalue" [value]="status.value">
          {{ status.value }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="members-grid">
    <div class="villains-grid box-grid">
      <div
        class="villain-box box-grid__item"
        [style.backgroundImage]="'url(assets/images/' + team.Chief.Picture + ')'"
        (click)="openMemberInfoDialog(team.Chief)"
      >
        <div class="box-item__title">{{ team.Chief.Name }}</div>
        <div class="box-item__subtitle">Chief</div>
      </div>
    </div>

    <div class="minions-grid box-grid">
      <ng-container *ngIf="!minionsLoading && team.Minions?.length">
        <div
          class="minion-box box-grid__item"
          *ngFor="let minion of team.Minions | filterBy: minionFilter | filterBy: statusFilter:['Status']"
          [style.backgroundImage]="'url(assets/images/' + minion.Picture + ')'"
          (click)="openMemberInfoDialog(minion)"
        >
          <div class="box-item__title">{{ minion.Name }}</div>
          <div class="box-item__subtitle">Minion</div>
        </div>
      </ng-container>
      <div clas="grid-empty m-auto" *ngIf="!minionsLoading && !team.Minions?.length">
        There are not minions recruited yet :(
      </div>
      <div class="spinner-grow m-auto" *ngIf="minionsLoading"></div>
    </div>
  </div>

  <div class="team-contact mt-5 text-center">
    <button class="btn btn-secondary action-navigate" (click)="goToContactPage()">
      Contact team
    </button>
  </div>
</div>
